Get Series List
curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/seriesimport requests
url = "https://external-api.kalshi.com/trade-api/v2/series"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://external-api.kalshi.com/trade-api/v2/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"series": [
{
"ticker": "<string>",
"frequency": "<string>",
"title": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"settlement_sources": [
{
"name": "<string>",
"url": "<string>"
}
],
"contract_url": "<string>",
"contract_terms_url": "<string>",
"fee_type": "quadratic",
"fee_multiplier": 123,
"additional_prohibitions": [
"<string>"
],
"product_metadata": {},
"volume_fp": "10.00",
"last_updated_ts": "2023-11-07T05:31:56Z",
"exchange_index": 0
}
]
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}market
Get Series List
Endpoint for getting data about multiple series with specified filters. A series represents a template for recurring events that follow the same format and rules (e.g., “Monthly Jobs Report”, “Weekly Initial Jobless Claims”, “Daily Weather in NYC”). This endpoint allows you to browse and discover available series templates by category.
GET
/
series
Get Series List
Query Parameters
If true, includes the total volume traded across all events in each series.
Filter series with metadata updated after this Unix timestamp (in seconds). Use this to efficiently poll for changes.
Response
Series list retrieved successfully
Show child attributes
Show child attributes